org.codehaus.groovy.runtime.metaclass

## Class MethodHelper

- java.lang.Object
- - org.codehaus.groovy.runtime.metaclass.MethodHelper

-     public class MethodHelper
      extends java.lang.Object

  Some reflection helper methods

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isPublic(java.lang.reflect.Method method)`
    `static boolean` | `isStatic(java.lang.reflect.Method method)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodHelper

          public MethodHelper()

  - ### Method Detail

    - #### isStatic

          public static boolean isStatic(java.lang.reflect.Method method)

    - #### isPublic

          public static boolean isPublic(java.lang.reflect.Method method)